lambdabot-core-5.3.1.2: Lambdabot core functionality

Safe Haskell | None
Language | Haskell98

Lambdabot.Message

# Documentation

class Show a => Message a where Source #

Methods

server :: a -> String Source #

extracts the tag of the server involved in a given message

nick :: a -> Nick Source #

extracts the nickname involved in a given message.

fullName :: a -> String Source #

`fullName` extracts the full user name involved in a given message.

channels :: a -> [Nick] Source #

`channels` extracts the channels a Message operate on.

lambdabotName :: a -> Nick Source #

#### Instances

Instances details

Message IrcMessage Source # |
Instance details Defined in Lambdabot.IRC Methods server :: IrcMessage -> String Source # nick :: IrcMessage -> Nick Source # fullName :: IrcMessage -> String Source # channels :: IrcMessage -> [Nick] Source # lambdabotName :: IrcMessage -> Nick Source #